#ifndef SLAMSubDataWrapper_WRAPPER_HEADER_H
#define SLAMSubDataWrapper_WRAPPER_HEADER_H

#include "sub/SubDataWrapper.h"
#include "slam/executable.h"


template <typename DataType>
class CAN2SLAM_SubDataWrapper :  public SubDataWrapper<DataType>
{
private:
	CAN2SWC* _can_to_slam = nullptr;

public:
	void Process(ara::com::SamplePtr<DataType const>* ptr) override
    {
		_can_to_slam = (CAN2SWC*)ptr->Get();
    }

	void GetData(CAN2SWC &data){
		if(_can_to_slam)
			data = *(_can_to_slam);
	}
};

#endif
